UserIsValid_args (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.lather.UserIsValid_args class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.lather
Class UserIsValid_args

    java.lang.Object
      org.hyperic.lather.LatherValue
          org.hyperic.hq.bizapp.shared.lather.UserIsValid_args

    public class UserIsValid_args

extends org.hyperic.lather.LatherValue

Constructor Summary
`UserIsValid_args()`
`UserIsValid_args(java.lang.String user, java.lang.String pword)`

Method Summary
`java.lang.String` | `getPword()`
`java.lang.String` | `getUser()`
`void` | `setPword(java.lang.String pword)`
`void` | `setUser(java.lang.String user)`
`void` | `validate()`

Methods inherited from class org.hyperic.lather.LatherValue
`addByteAToList, addDoubleToList, addIntToList, addObjectToList, addStringToList, getByteAList, getByteALists, getByteAVals, getByteAValue, getDoubleList, getDoubleLists, getDoubleVals, getDoubleValue, getIntList, getIntLists, getIntVals, getIntValue, getLongVals, getLongValue, getObjectList, getObjectLists, getObjectVals, getObjectValue, getStringList, getStringLists, getStringVals, getStringValue, setByteAValue, setDoubleValue, setIntValue, setLongValue, setObjectValue, setStringValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserIsValid_args

    public UserIsValid_args()

### UserIsValid_args

    public UserIsValid_args(java.lang.String user,
                            java.lang.String pword)

Method Detail

### setUser

    public void setUser(java.lang.String user)

### getUser

    public java.lang.String getUser()

### setPword

    public void setPword(java.lang.String pword)

### getPword

    public java.lang.String getPword()

### validate

    public void validate()
                  throws org.hyperic.lather.LatherRemoteException

  Specified by:
    `validate` in class `org.hyperic.lather.LatherValue`
  Throws:
    `org.hyperic.lather.LatherRemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.